/* UtilLib - Copyright (c) 2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.namespaces;

import net.mapeadores.util.attr.AttributeKey;
import net.mapeadores.util.attr.CheckedNameSpace;


/**
 *
 * @author Vincent Calame
 */
public final class UiSpace {

    public final static CheckedNameSpace UI_NAMESPACE = CheckedNameSpace.build("ui");
    public final static AttributeKey HIDE_KEY = AttributeKey.build(UI_NAMESPACE, "hide");

    private UiSpace() {

    }

}
