/* BdfServer_API - Copyright (c) 2008-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.ui.options;


/**
 *
 * @author Vincent Calame
 */
public interface InputOption {

    public final static String WIDTH_SMALL = "small";
    public final static String WIDTH_MEDIUM = "medium";
    public final static String WIDTH_LARGE = "large";
    public final static String INPUT_TEXT = "text";
    public final static String INPUT_SELECT = "select";
    public final static String INPUT_CHECK = "check";
    public final static String INPUT_RADIO = "radio";
    public final static String INPUT_NOTEDITABLE = "noteditable";
    public final static String INPUT_HIDDEN = "hidden";
    public final static String INPUT_SUGGESTION = "suggestion";
    public final static String INPUT_FICHESTYLE = "fichestyle";

    public String getInputType();

    public String getWidthType();

    public int getRows();

}
