/* FichothequeLib_API - Copyright (c) 2013-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.run;

import java.util.List;
import net.fichotheque.album.Album;
import net.fichotheque.extraction.def.ExtraitAlbumDef;


/**
 *
 * @author Vincent Calame
 */
public interface ExtraitAlbumResult {

    public ExtraitAlbumDef getExtraitAlbumDef();

    public int getAlbumCount();

    public Album getAlbum(int index);

    public List<IllustrationExtractInfo> getIllustrationExtractInfoList(int index);

}
