/* FichothequeLib_API - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.run;

import net.fichotheque.extraction.def.ExtraitAddendaDef;
import net.fichotheque.extraction.def.ExtraitAlbumDef;
import net.fichotheque.extraction.def.ExtraitCorpusDef;
import net.fichotheque.extraction.def.ExtraitThesaurusDef;


/**
 *
 * @author Vincent Calame
 */
public interface ExtractorProvider {

    public AddendaExtractor getAddendaExtractor(ExtraitAddendaDef extraitAddendaDef);

    public AlbumExtractor getAlbumExtractor(ExtraitAlbumDef extraitAlbumDef);

    public CorpusExtractor getCorpusExtractor(ExtraitCorpusDef extraitCorpusDef);

    public ThesaurusExtractor getThesaurusExtractor(ExtraitThesaurusDef extraitThesaurusDef);

}
